Skip to content
Navigation

Get analytics viewers

GET
https://api.sureshake.com/v2/reports/{id}/analytics/viewers

Path parameters

  • id
    string
    required
    format: uuid

Query parameters

  • period
    optional
    day
    or
    week
    or
    month
    default: "month"
  • limit
    optional
    integer
    maximum: 100 · minimum: 1 · default: 20
  • cursor
    optional
    string
    maxLength: 2048 · minLength: 42 · pattern: ^[A-Za-z0-9_-]+\.[A-Za-z0-9_-]+$

Returns

200

Default Response

JSON
  • data
    object
    required
    • status
      available
      or
      degraded
      or
      unavailable
      required
    • readAt
      string
      required
      format: date-time
    • scope
      object
      required
      • subject
        required

        Any of the following:

        • object
          • type
            personal
            required
          • id
            string
            required
            maxLength: 256 · minLength: 1
          • authorization
            authenticated_user
            required
          • actingContext
            personal
            required
        • object
          • type
            directory_listing
            required
          • id
            string
            required
            maxLength: 256 · minLength: 1
          • authorization
            current_directory_management_authority
            required
        • object
          • type
            entity
            required
          • id
            string
            required
            maxLength: 256 · minLength: 1
          • status
            compatibility_labeled
            required
          • authorization
            current_entity_owner
            required
        • object
          • type
            report
            required
          • id
            string
            required
            maxLength: 256 · minLength: 1
          • authorization
            report_owner_only
            required
      • period
        object
        required
        • key
          day
          or
          week
          or
          month
          or
          custom
          required
        • startAt
          string
          required
          format: date-time
        • endAt
          string
          required
          format: date-time
        • timezone
          UTC
          required
        • interval
          half_open
          required
        • asOf
          string
          required
          format: date-time
        • coverage
          event_window
          or
          snapshot
          or
          projection
          required
        • comparison
          object
          required
          • startAt
            string
            required
            format: date-time
          • endAt
            string
            required
            format: date-time
          • relationship
            immediately_preceding_equal_duration
            required
      • sources
        array of
        object
        required
        • source
          required

          Any of the following:

          • object
            • key
              directory_listing_views
              required
            • classification
              canonical
              required
            • recordAuthorities
              array of
              unknown
              required
            • readAuthorities
              array of
              unknown
              required
            • projectionAuthority
              object
              required
              • ordering
                events.stream_version
                required
              • receipts
                projection_event_receipts
                required
              • checkpoint
                projection_scoped_checkpoints
                required
              • lifecycle
                projection_lifecycles
                required
            • countingPolicy
              eligible_event
              required
            • countingEnforcement
              partial
              required
            • viewerHistory
              object
              required
              • availability
                unavailable
                required
              • timeAuthority
                first_viewed_at_only
                required
              • blocker
                last_view_watermark_required
                required
            • policyVersion
              directory-engagement-v1
              required
          • object
            • key
              compatibility_profile_views
              required
            • classification
              compatibility
              required
            • recordAuthority
              profile_views
              required
            • readAuthorities
              array of
              unknown
              required
            • countingPolicy
              deduplicated_24_hours
              required
            • countingEnforcement
              enforced
              required
            • viewerHistory
              object
              required
              • availability
                available
                required
              • timeAuthority
                latest_viewed_at
                required
            • policyVersion
              profile-views-v1
              required
          • object
            • key
              compatibility_entity_views
              required
            • classification
              compatibility
              required
            • recordAuthority
              entity_views
              required
            • readAuthorities
              array of
              unknown
              required
            • countingPolicy
              compatibility_source_owned
              required
            • countingEnforcement
              partial
              required
            • viewerHistory
              object
              required
              • availability
                available
                required
              • timeAuthority
                latest_viewed_at
                required
            • policyVersion
              entity-views-v1
              required
          • object
            • key
              report_views
              required
            • classification
              canonical
              required
            • recordAuthority
              document_views
              required
            • readAuthorities
              array of
              unknown
              required
            • countingPolicy
              idempotent_document_view
              required
            • countingEnforcement
              enforced
              required
            • viewerHistory
              object
              required
              • availability
                available
                required
              • timeAuthority
                latest_viewed_at
                required
              • attributionAuthority
                report_view_delivery_receipts.private_attribution
                required
            • idempotencyEnforcement
              object
              required
              • share
                enforced
                required
              • direct
                enforced
                required
              • vaultOrCollection
                enforced
                required
              • api
                enforced
                required
            • policyVersion
              report-views-v1
              required
        • policy
          object
          required
          • identifiedViewer
            currently_authorized_owner_or_manager_only
            required
          • anonymousViewerHistory
            aggregate_only
            required
          • privateViewerHistory
            aggregate_only
            required
          • identityInference
            prohibited
            required
          • minimumBreakdownCohort
            5
            required
          • selfViews
            excluded
            required
          • activeBlocks
            bidirectional_write_and_read_exclusion
            required
          • blockRationaleDisclosure
            never
            required
          • privateBrowsing
            anonymous_aggregate_only
            required
          • returningViewers
            disabled
            required
          • enforcement
            object
            required
            • selfViews
              enforced
              or
              partial
              or
              pending
              required
            • activeBlocks
              enforced
              or
              partial
              or
              pending
              required
            • privateBrowsing
              enforced
              or
              partial
              or
              pending
              required
            • excludedTraffic
              enforced
              or
              partial
              or
              pending
              required
      • resourceTypes
        array of
        personal_profile
        or
        directory_listing
        or
        entity_profile
        or
        report
        required
    • identifiedViewers
      array of
      required

      Any of the following:

      • object
        • rowId
          string
          required
          maxLength: 256 · minLength: 1
        • viewer
          object
          required
          • id
            string
            required
            maxLength: 256 · minLength: 1
          • name
            string
            required
            maxLength: 200 · minLength: 1
          • avatar
            string
            or null
            required
            maxLength: 2048
          • title
            string
            or null
            required
            maxLength: 200
          • company
            string
            or null
            required
            maxLength: 200
          • publicProfileSlug
            string
            or null
            required
            maxLength: 200 · minLength: 1 · pattern: ^[^/?#\s]+$
          • disclosure
            identified
            required
          • eligibility
            object
            required
            • evaluatedAt
              string
              required
              format: date-time
            • authentication
              authenticated
              required
            • privacy
              non_private
              required
            • activeBlocks
              non_blocked
              required
            • deletion
              non_deleted
              required
            • source
              source_eligible
              required
            • derivation
              server_derived_current_state
              required
        • resource
          required

          Any of the following:

          • object
            • type
              personal_profile
              required
            • id
              string
              required
              maxLength: 256 · minLength: 1
            • label
              string
              or null
              required
              maxLength: 200 · minLength: 1
          • object
            • type
              directory_listing
              required
            • id
              string
              required
              maxLength: 256 · minLength: 1
            • label
              string
              or null
              required
              maxLength: 200 · minLength: 1
          • object
            • type
              entity_profile
              required
            • id
              string
              required
              maxLength: 256 · minLength: 1
            • label
              string
              or null
              required
              maxLength: 200 · minLength: 1
          • object
            • type
              report
              required
            • id
              string
              required
              maxLength: 256 · minLength: 1
            • ownerSubjectId
              string
              required
              maxLength: 256 · minLength: 1
            • label
              string
              required
              maxLength: 200 · minLength: 1
        • source
          directory_listing_views
          or
          compatibility_profile_views
          or
          compatibility_entity_views
          or
          report_views
          required
        • latestViewedAt
          string
          required
          format: date-time
        • representation
          event
          required
        • timeLabel
          viewed
          required
        • viewCount
          1
          required
      • object
        • rowId
          string
          required
          maxLength: 256 · minLength: 1
        • viewer
          object
          required
          • id
            string
            required
            maxLength: 256 · minLength: 1
          • name
            string
            required
            maxLength: 200 · minLength: 1
          • avatar
            string
            or null
            required
            maxLength: 2048
          • title
            string
            or null
            required
            maxLength: 200
          • company
            string
            or null
            required
            maxLength: 200
          • publicProfileSlug
            string
            or null
            required
            maxLength: 200 · minLength: 1 · pattern: ^[^/?#\s]+$
          • disclosure
            identified
            required
          • eligibility
            object
            required
            • evaluatedAt
              string
              required
              format: date-time
            • authentication
              authenticated
              required
            • privacy
              non_private
              required
            • activeBlocks
              non_blocked
              required
            • deletion
              non_deleted
              required
            • source
              source_eligible
              required
            • derivation
              server_derived_current_state
              required
        • resource
          required

          Any of the following:

          • object
            • type
              personal_profile
              required
            • id
              string
              required
              maxLength: 256 · minLength: 1
            • label
              string
              or null
              required
              maxLength: 200 · minLength: 1
          • object
            • type
              directory_listing
              required
            • id
              string
              required
              maxLength: 256 · minLength: 1
            • label
              string
              or null
              required
              maxLength: 200 · minLength: 1
          • object
            • type
              entity_profile
              required
            • id
              string
              required
              maxLength: 256 · minLength: 1
            • label
              string
              or null
              required
              maxLength: 200 · minLength: 1
          • object
            • type
              report
              required
            • id
              string
              required
              maxLength: 256 · minLength: 1
            • ownerSubjectId
              string
              required
              maxLength: 256 · minLength: 1
            • label
              string
              required
              maxLength: 200 · minLength: 1
        • source
          directory_listing_views
          or
          compatibility_profile_views
          or
          compatibility_entity_views
          or
          report_views
          required
        • latestViewedAt
          string
          required
          format: date-time
        • representation
          grouped
          required
        • timeLabel
          last_viewed
          required
        • viewCount
          integer
          required
          minimum: 0
        • aggregationWindow
          object
          required
          • startAt
            string
            required
            format: date-time
          • endAt
            string
            required
            format: date-time
          • timezone
            UTC
            required
          • interval
            half_open
            required
    • sourceOutcomes
      array of
      required

      Any of the following:

      • object
        • status
          available
          required
        • source
          directory_listing_views
          or
          compatibility_profile_views
          or
          compatibility_entity_views
          or
          report_views
          required
        • freshness
          required

          Any of the following:

          • object
            • consistency
              read_time
              required
            • computedAt
              string
              required
              format: date-time
            • projectedThrough
              null
              or null
              required
            • lagMilliseconds
              null
              or null
              required
          • object
            • consistency
              projection
              required
            • computedAt
              string
              required
              format: date-time
            • projectedThrough
              string
              required
              format: date-time
            • lagMilliseconds
              integer
              required
              minimum: 0
            • staleAfterMilliseconds
              integer
              required
              minimum: 0
        • identifiedHistory
          object
          required
          • status
            available
            required
          • rowCount
            integer
            required
            maximum: 100 · minimum: 0
        • withheldActivity
          object
          required
          • status
            available
            required
          • data
            object
            required
            • totalViews
              integer
              required
              minimum: 0
            • aggregationWindow
              object
              required
              • startAt
                string
                required
                format: date-time
              • endAt
                string
                required
                format: date-time
              • timezone
                UTC
                required
              • interval
                half_open
                required
            • historyTreatment
              aggregate_only
              required
            • breakdown
              required

              Any of the following:

              • object
                • status
                  available
                  required
                • anonymousViews
                  integer
                  required
                  minimum: 0
                • privateViews
                  integer
                  required
                  minimum: 0
                • minimumCohort
                  5
                  required
              • object
                • status
                  suppressed
                  required
                • minimumCohort
                  5
                  required
              • object
                • status
                  unsupported
                  required
      • object
        • status
          degraded
          required
        • source
          directory_listing_views
          or
          compatibility_profile_views
          or
          compatibility_entity_views
          or
          report_views
          required
        • freshness
          required

          Any of the following:

          • object
            • consistency
              read_time
              required
            • computedAt
              string
              required
              format: date-time
            • projectedThrough
              null
              or null
              required
            • lagMilliseconds
              null
              or null
              required
          • object
            • consistency
              projection
              required
            • computedAt
              string
              required
              format: date-time
            • projectedThrough
              string
              required
              format: date-time
            • lagMilliseconds
              integer
              required
              minimum: 0
            • staleAfterMilliseconds
              integer
              required
              minimum: 0
        • identifiedHistory
          required

          Any of the following:

          • object
            • status
              available
              required
            • rowCount
              integer
              required
              maximum: 100 · minimum: 0
          • object
            • status
              unavailable
              required
            • error
              object
              required
              • code
                SOURCE_UNAVAILABLE
                or
                POLICY_UNAVAILABLE
                required
              • message
                string
                required
                maxLength: 300 · minLength: 1
        • withheldActivity
          required

          Any of the following:

          • object
            • status
              available
              required
            • data
              object
              required
              • totalViews
                integer
                required
                minimum: 0
              • aggregationWindow
                object
                required
                • startAt
                  string
                  required
                  format: date-time
                • endAt
                  string
                  required
                  format: date-time
                • timezone
                  UTC
                  required
                • interval
                  half_open
                  required
              • historyTreatment
                aggregate_only
                required
              • breakdown
                required

                Any of the following:

                • object
                  • status
                    available
                    required
                  • anonymousViews
                    integer
                    required
                    minimum: 0
                  • privateViews
                    integer
                    required
                    minimum: 0
                  • minimumCohort
                    5
                    required
                • object
                  • status
                    suppressed
                    required
                  • minimumCohort
                    5
                    required
                • object
                  • status
                    unsupported
                    required
          • object
            • status
              unavailable
              required
            • error
              object
              required
              • code
                SOURCE_UNAVAILABLE
                or
                POLICY_UNAVAILABLE
                required
              • message
                string
                required
                maxLength: 300 · minLength: 1
        • issues
          array of
          object
          required
          • code
            SOURCE_UNAVAILABLE
            or
            PROJECTION_LAG
            or
            POLICY_UNAVAILABLE
            or
            PARTIAL_SOURCE_FAILURE
            or
            WITHHELD_ACTIVITY_UNAVAILABLE
            or
            IDENTIFIED_HISTORY_UNAVAILABLE
            +2 more
            required
          • message
            string
            required
            maxLength: 300 · minLength: 1
      • object
        • status
          unavailable
          required
        • source
          directory_listing_views
          or
          compatibility_profile_views
          or
          compatibility_entity_views
          or
          report_views
          required
        • freshness
          object
          required
          • consistency
            unavailable
            required
          • checkedAt
            string
            required
            format: date-time
          • lastSuccessfulAt
            string
            or null
            required
            format: date-time
          • projectedThrough
            string
            or null
            required
            format: date-time
        • error
          object
          required
          • code
            SOURCE_UNAVAILABLE
            or
            POLICY_UNAVAILABLE
            required
          • message
            string
            required
            maxLength: 300 · minLength: 1
    • pagination
      object
      required
      • limit
        integer
        required
        maximum: 100 · minimum: 1
      • hasMore
        boolean
        required
      • nextCursor
        string
        or null
        required
        maxLength: 2048 · minLength: 42 · pattern: ^[A-Za-z0-9_-]+\.[A-Za-z0-9_-]+$
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close